<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerNotifiers/Notifiers/StuffedNotfr.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d36/_stuffed_notfr_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">StuffedNotfr.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d1/d36/_stuffed_notfr_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d7/d09/class_stuffed_notfr.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d09/class_stuffed_notfr.html">StuffedNotfr</a>: <a class="code hl_class" href="../../d9/d1b/class_notifier_base.html">NotifierBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d7/d09/class_stuffed_notfr.html#ae0449b127e1b4e5a77fbed959a637cff">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d09/class_stuffed_notfr.html#ae0449b127e1b4e5a77fbed959a637cff">StuffedNotfr</a>(<a class="code hl_function" href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a> manager)</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d9/d1b/class_notifier_base.html#acbd27b7448c4055da8f3363a89219ec4">m_Active</a> = <span class="keyword">true</span>; </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d7/d09/class_stuffed_notfr.html#ad8570faa490096d5560d611f91321ac4">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d7/d09/class_stuffed_notfr.html#ad8570faa490096d5560d611f91321ac4">GetNotifierType</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a>.NTF_STUFFED;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d09/class_stuffed_notfr.html#ab128f213439b0b18074018696ea844bc">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d09/class_stuffed_notfr.html#ab128f213439b0b18074018696ea844bc">DisplayBadge</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordtype">float</span> volume = <a class="code hl_variable" href="../../d9/d1b/class_notifier_base.html#a3560d59398762c1bd539306a3c4f0921">m_Player</a>.m_PlayerStomach.GetStomachVolume();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_enumeration" href="../../dc/df1/4___world_2_classes_2_virtual_hud_2__constants_8c.html#add6e68d89d9976f50752092dc41fdbbb">eBadgeLevel</a> lvl = <a class="code hl_function" href="../../d9/d1b/class_notifier_base.html#a21010ee5bf5fd955b7d532ba84fa03f6">DetermineBadgeLevel</a>(volume, <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a6049f97751c7b0b0df968262c9e258b0">BT_STOMACH_VOLUME_LVL3</a>, <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a6049f97751c7b0b0df968262c9e258b0">BT_STOMACH_VOLUME_LVL3</a>, <a class="code hl_class" href="../../d3/def/class_player_constants.html">PlayerConstants</a>.<a class="code hl_variable" href="../../d3/def/class_player_constants.html#a6049f97751c7b0b0df968262c9e258b0">BT_STOMACH_VOLUME_LVL3</a>); </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_class" href="../../d6/dd7/class_display_element_badge.html">DisplayElementBadge</a> dis_elm = <a class="code hl_class" href="../../d6/dd7/class_display_element_badge.html">DisplayElementBadge</a>.Cast(<a class="code hl_function" href="../../d9/d1b/class_notifier_base.html#a9b6f31c34bb2697eeb6cfb1caf47b24d">GetVirtualHud</a>().<a class="code hl_function" href="../../d9/de7/_display_status_8c.html#aac68be68788d8cf70610df663ca7890d">GetElement</a>(eDisplayElements.DELM_BADGE_STUFFED));</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span>( dis_elm )</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            dis_elm.SetLevel(lvl);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d7/d09/class_stuffed_notfr.html#a45722e35c1b5cc2c74e9bb87e2ef7c49">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d09/class_stuffed_notfr.html#a45722e35c1b5cc2c74e9bb87e2ef7c49">HideBadge</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_class" href="../../d6/dd7/class_display_element_badge.html">DisplayElementBadge</a> dis_elm = <a class="code hl_class" href="../../d6/dd7/class_display_element_badge.html">DisplayElementBadge</a>.Cast(<a class="code hl_function" href="../../d9/d1b/class_notifier_base.html#a9b6f31c34bb2697eeb6cfb1caf47b24d">GetVirtualHud</a>().<a class="code hl_function" href="../../d9/de7/_display_status_8c.html#aac68be68788d8cf70610df663ca7890d">GetElement</a>(eDisplayElements.DELM_BADGE_STUFFED));</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">if</span>( dis_elm )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            dis_elm.SetLevel(<a class="code hl_enumeration" href="../../dc/df1/4___world_2_classes_2_virtual_hud_2__constants_8c.html#add6e68d89d9976f50752092dc41fdbbb">eBadgeLevel</a>.NONE);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>};</div>
<div class="ttc" id="a4___world_2_classes_2_virtual_hud_2__constants_8c_html_add6e68d89d9976f50752092dc41fdbbb"><div class="ttname"><a href="../../dc/df1/4___world_2_classes_2_virtual_hud_2__constants_8c.html#add6e68d89d9976f50752092dc41fdbbb">eBadgeLevel</a></div><div class="ttdeci">eBadgeLevel</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/df1/4___world_2_classes_2_virtual_hud_2__constants_8c_source.html#l00001">_constants.c:2</a></div></div>
<div class="ttc" id="a_display_status_8c_html_aac68be68788d8cf70610df663ca7890d"><div class="ttname"><a href="../../d9/de7/_display_status_8c.html#aac68be68788d8cf70610df663ca7890d">GetElement</a></div><div class="ttdeci">DisplayElementBase GetElement(eDisplayElements element_id)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/de7/_display_status_8c_source.html#l00095">DisplayStatus.c:95</a></div></div>
<div class="ttc" id="a_notifiers_manager_8c_html_a131baa5cbe699be20bd8ced9ed147f00"><div class="ttname"><a href="../../d5/d4d/_notifiers_manager_8c.html#a131baa5cbe699be20bd8ced9ed147f00">NotifiersManager</a></div><div class="ttdeci">void NotifiersManager(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/_notifiers_manager_8c_source.html#l00035">NotifiersManager.c:35</a></div></div>
<div class="ttc" id="a_notifiers_manager_8c_html_a3687963b70e03873b68004412de2fe78"><div class="ttname"><a href="../../d5/d4d/_notifiers_manager_8c.html#a3687963b70e03873b68004412de2fe78">eNotifiers</a></div><div class="ttdeci">eNotifiers</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d4d/_notifiers_manager_8c_source.html#l00001">NotifiersManager.c:2</a></div></div>
<div class="ttc" id="aclass_display_element_badge_html"><div class="ttname"><a href="../../d6/dd7/class_display_element_badge.html">DisplayElementBadge</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d6a/_badge_bleeding_8c_source.html#l00001">BadgeBleeding.c:2</a></div></div>
<div class="ttc" id="aclass_notifier_base_html"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html">NotifierBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00001">NotifierBase.c:2</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a21010ee5bf5fd955b7d532ba84fa03f6"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a21010ee5bf5fd955b7d532ba84fa03f6">NotifierBase::DetermineBadgeLevel</a></div><div class="ttdeci">protected eBadgeLevel DetermineBadgeLevel(float value, float lvl_1, float lvl_2, float lvl_3)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00185">NotifierBase.c:185</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a3560d59398762c1bd539306a3c4f0921"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a3560d59398762c1bd539306a3c4f0921">NotifierBase::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00006">NotifierBase.c:6</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_a9b6f31c34bb2697eeb6cfb1caf47b24d"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#a9b6f31c34bb2697eeb6cfb1caf47b24d">NotifierBase::GetVirtualHud</a></div><div class="ttdeci">VirtualHud GetVirtualHud()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00049">NotifierBase.c:49</a></div></div>
<div class="ttc" id="aclass_notifier_base_html_acbd27b7448c4055da8f3363a89219ec4"><div class="ttname"><a href="../../d9/d1b/class_notifier_base.html#acbd27b7448c4055da8f3363a89219ec4">NotifierBase::m_Active</a></div><div class="ttdeci">bool m_Active</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dc5/_notifier_base_8c_source.html#l00012">NotifierBase.c:12</a></div></div>
<div class="ttc" id="aclass_player_constants_html"><div class="ttname"><a href="../../d3/def/class_player_constants.html">PlayerConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00001">PlayerConstants.c:2</a></div></div>
<div class="ttc" id="aclass_player_constants_html_a6049f97751c7b0b0df968262c9e258b0"><div class="ttname"><a href="../../d3/def/class_player_constants.html#a6049f97751c7b0b0df968262c9e258b0">PlayerConstants::BT_STOMACH_VOLUME_LVL3</a></div><div class="ttdeci">static const int BT_STOMACH_VOLUME_LVL3</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/_player_constants_8c_source.html#l00181">PlayerConstants.c:181</a></div></div>
<div class="ttc" id="aclass_stuffed_notfr_html"><div class="ttname"><a href="../../d7/d09/class_stuffed_notfr.html">StuffedNotfr</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d36/_stuffed_notfr_8c_source.html#l00001">StuffedNotfr.c:2</a></div></div>
<div class="ttc" id="aclass_stuffed_notfr_html_a45722e35c1b5cc2c74e9bb87e2ef7c49"><div class="ttname"><a href="../../d7/d09/class_stuffed_notfr.html#a45722e35c1b5cc2c74e9bb87e2ef7c49">StuffedNotfr::HideBadge</a></div><div class="ttdeci">override void HideBadge()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d36/_stuffed_notfr_8c_source.html#l00025">StuffedNotfr.c:25</a></div></div>
<div class="ttc" id="aclass_stuffed_notfr_html_ab128f213439b0b18074018696ea844bc"><div class="ttname"><a href="../../d7/d09/class_stuffed_notfr.html#ab128f213439b0b18074018696ea844bc">StuffedNotfr::DisplayBadge</a></div><div class="ttdeci">override void DisplayBadge()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d36/_stuffed_notfr_8c_source.html#l00013">StuffedNotfr.c:13</a></div></div>
<div class="ttc" id="aclass_stuffed_notfr_html_ad8570faa490096d5560d611f91321ac4"><div class="ttname"><a href="../../d7/d09/class_stuffed_notfr.html#ad8570faa490096d5560d611f91321ac4">StuffedNotfr::GetNotifierType</a></div><div class="ttdeci">override int GetNotifierType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d36/_stuffed_notfr_8c_source.html#l00008">StuffedNotfr.c:8</a></div></div>
<div class="ttc" id="aclass_stuffed_notfr_html_ae0449b127e1b4e5a77fbed959a637cff"><div class="ttname"><a href="../../d7/d09/class_stuffed_notfr.html#ae0449b127e1b4e5a77fbed959a637cff">StuffedNotfr::StuffedNotfr</a></div><div class="ttdeci">void StuffedNotfr(NotifiersManager manager)</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d36/_stuffed_notfr_8c_source.html#l00003">StuffedNotfr.c:3</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_75b06a21c8b9343c826d106474669db4.html">PlayerNotifiers</a></li><li class="navelem"><a class="el" href="../../dir_d57483f090f9d1cd438112eadf9937f0.html">Notifiers</a></li><li class="navelem"><a class="el" href="../../d1/d36/_stuffed_notfr_8c.html">StuffedNotfr.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
